Why it is not possible to update an installed RHDG server with version 7.2.2 with a further CP version?

Solution Verified - Updated -

Issue

  • When using the CLI command "patch apply " the following error is shown. How can I update the server?
$ bin/cli.sh "patch apply jboss-datagrid-7.2.3-server-patch.zip"
Conflicts detected: org.infinispan.cli.client:main, org.infinispan.cli.interpreter:main, org.infinispan.client.hotrod:main, org.infinispan.commons:main, org.infinispan.counter:main, org.infinispan.extension:main, org.infinispan.hibernate-search.directory-provider:main, org.infinispan.lucene-directory:main, org.infinispan.objectfilter:main, org.infinispan.persistence.jdbc:main, org.infinispan.persistence.leveldb:main, org.infinispan.persistence.remote:main, org.infinispan.persistence.rest:main, org.infinispan.query.dsl:main, org.infinispan.query:main, org.infinispan.remote-query.client:main, org.infinispan.remote-query.server:main, org.infinispan.scripting:main, org.infinispan.server.commons:main, org.infinispan.server.endpoint:main, org.infinispan.server.event-logger:main, org.infinispan.server.hotrod:main, org.infinispan.server.memcached:main, org.infinispan.server.rest:main, org.infinispan.server:main, org.infinispan.tasks.api:main, org.infinispan.tasks:main, org.infinispan:main, org.jboss.as.cli:main, org.jgroups.extension:main, docs/licenses/jdg/artifacts.txt, docs/licenses/jdg/licenses.html, docs/licenses/jdg/licenses.xml
Use the --override-all, --override=[] or --preserve=[] arguments in order to resolve the conflict.
  • If applying a patch to a server with version 7.2.2 I see conflicts. How to resolve it?

Environment

  • Red Hat Data Grid (RHDG)
    • 7.2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In